Skip to main content
GET
/
organizations
/
{orgId}
/
events
/
{id}
Retrieve EventResponse
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/events/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "9cb46d85-7cb6-4637-80a1-d4ec38e4ab30",
  "eventName": "configuration.commitment.created",
  "eventTime": "2022-10-28T13:54:49.557Z",
  "dtActioned": "2022-10-28T13:56:49.557Z",
  "m3terEvent": {
    "eventData": {
      "newDto": {
        "commitmentFeeDescription": "",
        "endDate": "2024-12-31",
        "billingInterval": 1,
        "orgId": "396d788d-5174-XXXX-9d69-YYYY4671fc33",
        "overageSurchargePercent": 5,
        "overageDescription": "",
        "currency": "USD",
        "id": "480d317e-2030-416b-b64b-c07577c418b4",
        "amountSpent": 0,
        "accountCode": "doetech_premium",
        "amount": 15000,
        "billingOffset": 0,
        "lastModifiedBy": "USER_810e3a43-XXXX-4dab-YYYY-470977405b58",
        "billingPlanId": "0409e75a-8a87-43de-aa58-fc6ec823ce37",
        "version": 1,
        "accountId": "1cf2a754-476c-498c-b05a-7d41abfc404d",
        "dtCreated": "2022-10-28T13:54:48.081781Z",
        "amountPrePaid": 0,
        "productIds": [
          "bec371ef-dbad-4e73-a56a-dadecff2287c"
        ],
        "createdBy": "USER_810e3a43-XXXX-4dab-YYYY-470977405b58",
        "contractId": "68595d6d-261f-496b-bf88-51fc7d2b5ccc",
        "commitmentUsageDescription": "",
        "startDate": "2023-01-01",
        "dtLastModified": "2022-10-28T13:54:48.081781Z"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.m3ter.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

orgId
string
required

The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.

id
string
required

The unique identifier (UUID) of the Event to retrieve.

Response

Returns the Event

id
string
required

The uniqie identifier (UUID) of the Event.

eventName
string
required

The name of the Event as it is registered in the system. This name is used to categorize and trigger associated actions.

eventTime
string<date-time>
required

The time when the Event was triggered, using the ISO 8601 date and time format.

m3terEvent
object
required

The Data Transfer Object (DTO) containing the details of the Event.

dtActioned
string<date-time>
required

When an Event was actioned. It follows the ISO 8601 date and time format.

You can action an Event to indicate that it has been followed up and resolved - this is useful when dealing with integration error Events or ingest failure Events.